/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** buildguiwindow_mui.h
**
** Creation date: 02.12.2005
** Last modified: 02.12.2005
*/

#ifndef BUILD_GUI_WINDOW_MUI_H
#define BUILD_GUI_WINDOW_MUI_H

#include "system.h"
#include "display.h"

bool BuildGuiWindowButton(struct DisplayObject *dio, 
        GuiObject parent, bool horiz, GuiObject *colGroup);
bool BuildGuiWindow(struct DisplayObject *dio);

#endif


