/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** dbtypes.h
**
** Creation date: 23.04.1995
** Last modified: 13.04.1999
*/

#ifndef DBTYPES_H
#define DBTYPES_H

#define NOTYPE 0

#define TYPE_INTEGER 1
#define TYPE_REAL 2
#define TYPE_BOOL 3
#define TYPE_OLDSTRING 4
#define TYPE_MEMO 5
#define TYPE_DATE 6
#define TYPE_TIME 7
#define TYPE_BUTTON 9
#define TYPE_CHOICE 10
#define TYPE_OPTIONS 8          /* for AskMulti only for now */
#define TYPE_REFERENCE 11
#define TYPE_STRING 12
#define TYPE_VIRTUAL 13

#define TYPE_NIL 16
#define TYPE_FIELD 17
#define TYPE_TABLE 18
#define TYPE_RECORD 19
#define TYPE_LIST 21
#define TYPE_FILE 22
#define TYPE_FUNCTION 28
#define TYPE_CODEADDRESS 29
#define TYPE_SPECIAL 30
#define TYPE_UNKNOWN 31

#endif

