/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** menueditor.h
**
** Functions for menu items in menu Editor
**
** Creation date: 09.02.96
** Last modified: 22.11.96
*/

#ifndef MENU_EDITOR_H
#define MENU_EDITOR_H

#include "system.h"

#ifdef __cplusplus
extern "C" {
#endif

void MenuEditorLoadText(GuiObject go, struct Project *pr);
void MenuEditorSaveText(GuiObject go, struct Project *pr);
void MenuEditorExternalEditor(GuiObject go, struct Project *pr);

#ifdef __cplusplus
}
#endif

#endif

