//
// BeeBase -- a relational programmable database with GUI
// Copyright (C) 1998-2022 Steffen Gutmann
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <https://www.gnu.org/licenses/>. 
//
// gtkEditDisplay.h
//
// Creation date: 07.05.2005
// Last modified: 09.07.2005
//

#ifndef GTK_EDIT_DISPLAY_H
#define GTK_EDIT_DISPLAY_H

#include "system.h"

#include "gtk/gtkStructureEditor.h"

void ShortCutOnActivate(GuiObject entry, DisplayObject *dio);

void GuiPanel(StructureEditorData *sed, DisplayObject *panel);
void GuiText(StructureEditorData *sed, DisplayObject *text);
void GuiImage(StructureEditorData *sed, DisplayObject *image);
void GuiSpace(StructureEditorData *sed, DisplayObject *space);
void GuiRegister(StructureEditorData *sed, DisplayObject *reg);
void GuiGroup(StructureEditorData *sed, DisplayObject *group);
void GuiWindow(StructureEditorData *sed, DisplayObject *window);

#endif

