//
// BeeBase -- a relational programmable database with GUI
// Copyright (C) 1998-2022 Steffen Gutmann
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <https://www.gnu.org/licenses/>. 
//
// gtkEditRecordDescriptionSpec.h
//
// Creation date: 10.07.2012
// Last modified: 15.07.2012
//

#ifndef GTK_EDIT_RECORD_DESCRIPTION_SPEC_H
#define GTK_EDIT_RECORD_DESCRIPTION_SPEC_H

#include "display.h"

GuiObject CreateEditRecordDescriptionSpec(struct Table *tab,
        const RecordDescriptionSpec *rds, bool allowInherited);
void EditRecordDescriptionSpecAddCallbacks(GuiObject go, GuiObject ok);
struct RecordDescriptionSpec *EditRecordDescriptionSpecGetSpec(
        GuiObject go, MemPool *memPool);

#endif

