//
// BeeBase -- a relational programmable database with GUI
// Copyright (C) 1998-2022 Steffen Gutmann
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <https://www.gnu.org/licenses/>. 
//
// gtkEditTable.h
//
// Creation date: 30.08.2005
// Last modified: 06.08.2020
//

#ifndef GTK_EDIT_TABLE_H
#define GTK_EDIT_TABLE_H

#include "system.h"
#include "table.h"
#include "gtk/gtkStructureEditor.h"

void GtkNewTable(StructureEditorData *sed, Project *pr, DisplayObject *parent);
void GtkChangeTable(StructureEditorData *sed, Table *tab);

#endif

