/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** funcmath.h
**
** Creation date: 18.12.2009
** Last modified: 18.12.2009
*/

#ifndef LANG_FUNCMATH_H
#define LANG_FUNCMATH_H

void ProgMul(short numArgs);
void ProgDivReal(short numArgs);
void ProgTrunc(short numArgs);
void ProgRound(short numArgs);
void ProgDivInt(short numArgs);
void ProgMod(short numArgs);
void ProgOnePlus(short numArgs);
void ProgOneMinus(short numArgs);
void ProgAbs(short numArgs);
void ProgRandom(short numArgs);
void ProgLog(short numArgs);
void ProgExp(short numArgs);
void ProgSqrt(short numArgs);
void ProgPow(short numArgs);

#endif

