/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** funcreq.h - requester interface
**
** Creation date: 17.01.97
** Last modified: 21.01.97
*/

#ifndef FUNCREQ_H
#define FUNCREQ_H

void ProgAskFile(short numArgs);
void ProgAskDir(short numArgs);
void ProgAskStr(short numArgs);
void ProgAskInt(short numArgs);
void ProgAskChoice(short numArgs);
void ProgAskChoiceStr(short numArgs);
void ProgAskOptions(short numArgs);
void ProgAskButton(short numArgs);
void ProgAskMulti(short numArgs);

#endif

