//
// BeeBase -- a relational programmable database with GUI
// Copyright (C) 1998-2022 Steffen Gutmann
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <https://www.gnu.org/licenses/>. 
//
// qtBuildGuiRefFieldBrowser.h
//
// Creation date: 12.08.2010
// Last modified: 06.09.2010
//

#ifndef QT_BUILD_GUI_REF_FIELD_BROWSER_H
#define QT_BUILD_GUI_REF_FIELD_BROWSER_H

#include "display.h"
#include <QHBoxLayout>

QHBoxLayout *BuildGuiPopRefFieldBrowser(DisplayObject *dio,
        GuiObject string, GuiObject *lvobject, GuiObject parent);

void BuildGuiPopRefFieldBrowserAddRecord(QWidget *rab, struct Record *rec);
void BuildGuiPopRefFieldBrowserRemRecord(QWidget *rab, struct Record *rec);

#endif

