//
// BeeBase -- a relational programmable database with GUI
// Copyright (C) 1998-2022 Steffen Gutmann
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <https://www.gnu.org/licenses/>. 
//
// qtEditDisplay.h
//
// Creation date: 17.02.2016
// Last modified: 14.03.2016
//

#ifndef QT_EDIT_DISPLAY_H
#define QT_EDIT_DISPLAY_H

#include "system.h"

void GuiPanel(GuiObject sew, DisplayObject *panel);
void GuiText(GuiObject sew, DisplayObject *text);
void GuiImage(GuiObject sew, DisplayObject *image);
void GuiSpace(GuiObject sew, DisplayObject *space);
void GuiRegister(GuiObject sew, DisplayObject *reg);
void GuiGroup(GuiObject sew, DisplayObject *group);
void GuiWindow(GuiObject sew, DisplayObject *window);

#endif

