/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** RefFieldSelector_mcc.h
**
** Creation date: 27.03.2011
** Last modified: 27.03.2011
**
** RefFieldSelector_mc is a subclass of Popobject class.
** It manages the selection for reference fields.
*/

#ifndef MUI_REFFIELDSELECTOR_MCC_H
#define MUI_REFFIELDSELECTOR_MCC_H

#include <intuition/classes.h>

extern struct IClass *RefFieldSelectorClass;

#define RefFieldSelectorObject BOOPSIOBJMACRO_START(RefFieldSelectorClass)

BOOL RefFieldSelectorInit(void);
void RefFieldSelectorCleanup(void);

#endif
