/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** funcdb.h
**
** Creation date: 09.01.1997
** Last modified: 11.02.2022
*/

#ifndef FUNCDB_H
#define FUNCDB_H

void ProgProjectName(short numArgs);
void ProgAdminPassword(short numArgs);
void ProgPrepareChange(short numArgs);
void ProgChanges(short numArgs);
void ProgGetAdminMode(short numArgs);
void ProgSetAdminMode(short numArgs);

void ProgSetCursor(short numArgs);
void ProgSetBGPen(short numArgs);
void ProgSetWindowOpen(short numArgs);
void ProgGetWindowOpen(short numArgs);

void ProgRelName(short numArgs);

void ProgNew(short numArgs);
void ProgNewStar(short numArgs);
void ProgDelete(short numArgs);
void ProgDeleteStar(short numArgs);
void ProgDeleteAll(short numArgs);

void ProgGetMatchFilter(short numArgs);
void ProgSetMatchFilter(short numArgs);
void ProgGetFilterActive(short numArgs);
void ProgSetFilterActive(short numArgs);
void ProgGetFilterStr(short numArgs);
void ProgSetFilterStr(short numArgs);

void ProgGetIsSorted(short numArgs);
void ProgSetIsSorted(short numArgs);
void ProgReorder(short numArgs);
void ProgReorderAll(short numArgs);
void ProgGetOrderStr(short numArgs);
void ProgSetOrderStr(short numArgs);

void ProgRecNum(short numArgs);
void ProgMoveRec(short numArgs);
void ProgGetRec(short numArgs);
void ProgSetRec(short numArgs);
void ProgRecord(short numArgs);
void ProgRecords(short numArgs);

void ProgCopyRec(short numArgs);

void ProgFieldName(short numArgs);

void ProgSetLabels(short numArgs);
void ProgGetLabels(short numArgs);

void ProgGetVirtualListActive(short numArgs);
void ProgSetVirtualListActive(short numArgs);

void ProgTackon(short numArgs);
void ProgFilename(short numArgs);
void ProgDirname(short numArgs);

void ProgPubScreen(short numArgs);

#endif
