/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** funclist.h
**
** Creation date: 28.01.1997
** Last modified: 06.03.2013
*/

#include "compile_impl.h"

void ProgCons(short numArgs);
void ProgMakeListSizeT(size_t numArgs);
void ProgMakeList(short numArgs);
void ProgList(short numArgs);

void ProgFirst(short numArgs);
void ProgRest(short numArgs);
void ProgLast(short numArgs);
void ProgNth(short numArgs);

void ProgReplaceNth(short numArgs);
void ProgReplaceNthStar(short numArgs);
void ProgMoveNth(short numArgs);
void ProgMoveNthStar(short numArgs);
void ProgRemoveNth(short numArgs);
void ProgRemoveNthStar(short numArgs);

void ProgLength(short numArgs);

void ProgAppend(short numArgs);
void ProgReverse(short numArgs);

const char *CheckMapFirst(struct FuncInfo *fi, struct AppArgs *aa);
void ProgMapFirst(short numArgs);
void ProgSortList(short numArgs);
void ProgSortListGt(short numArgs);

