/*
** BeeBase -- a relational programmable database with GUI
** Copyright (C) 1998-2022 Steffen Gutmann
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 3
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, see <https://www.gnu.org/licenses/>. 
**
** funcstr.h
**
** Creation date: 17.12.1996
** Last modified: 19.01.2014
*/

#ifndef FUNCSTR_H
#define FUNCSTR_H

void ProgLen(short numArgs);
void ProgMaxLen(short numArgs);
void ProgRightStr(short numArgs);
void ProgLeftStr(short numArgs);
void ProgMidStr(short numArgs);
void ProgSetMidStr(short numArgs);
void ProgInsMidStr(short numArgs);
void ProgSHA1Sum(short numArgs);
void ProgUpper(short numArgs);
void ProgLower(short numArgs);
void ProgAsc(short numArgs);
void ProgChr(short numArgs);
void ProgWord(short numArgs);
void ProgWords(short numArgs);
void ProgField(short numArgs);
void ProgFields(short numArgs);
void ProgConcat(short numArgs);
void ProgConcat2(short numArgs);
void ProgCopyStr(short numArgs);
void ProgLine(short numArgs);
void ProgLines(short numArgs);
void ProgTrimStr(short numArgs);
void ProgRemChars(short numArgs);
void ProgReplaceStr(short numArgs);
void ProgReplaceStrStar(short numArgs);
void ProgIndexStr(short numArgs);
void ProgIndexStrStar(short numArgs);
void ProgRIndexStr(short numArgs);
void ProgRIndexStrStar(short numArgs);
void ProgIndexBrk(short numArgs);
void ProgIndexBrkStar(short numArgs);
void ProgRIndexBrk(short numArgs);
void ProgRIndexBrkStar(short numArgs);
void ProgLike(short numArgs);
void ProgStrToList(short numArgs);
void ProgListToStr(short numArgs);
void ProgMemoToList(short numArgs);
void ProgListToMemo(short numArgs);
void ProgFillMemo(short numArgs);
void ProgFormatMemo(short numArgs);
void ProgIndentMemo(short numArgs);

#endif
