//
// BeeBase -- a relational programmable database with GUI
// Copyright (C) 1998-2022 Steffen Gutmann
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 3
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, see <https://www.gnu.org/licenses/>. 
//
// qtStructureEditor.h
//
// Creation date: 13.12.2015
// Last modified: 18.02.2016
//

#ifndef QT_STRUCTURE_EDITOR_H
#define QT_STRUCTURE_EDITOR_H

#include "system.h"
#include "table.h"

void NewTableFinish(QWidget *parent, struct Table *tab);
void ChangeTableFinish(QWidget *parent, Table *tab);

void NewFieldFinish(QWidget *parent, Field *field);
void ChangeFieldFinish(QWidget *parent, Field *field);

void PanelFinish(QWidget *parent, DisplayObject *panel);
void TextFinish(QWidget *parent, DisplayObject *dio);
void SpaceFinish(QWidget *parent, DisplayObject *dio);
void ImageFinish(QWidget *parent, DisplayObject *dio); 
void RegisterFinish(QWidget *parent, DisplayObject *reg); 
void GroupFinish(QWidget *parent, DisplayObject *group); 
void WindowFinish(QWidget *parent, DisplayObject *window); 
void DisplayTableFinish(QWidget *parent, DisplayObject *dio);
void DisplayFieldFinish(QWidget *parent, DisplayObject *dio);

#endif

